# [for Emacs] -*- coding: utf-8 -*-

%bcond_with xemacs

%define	apel_minver 10.7

%if %{with xemacs}
%define	pkgdir %{_datadir}/xemacs/mule-packages
%endif

Summary: Daredevil SKK - Simple Kana to Kanji conversion program for Emacs
Name: ddskk
Version: 13.1
Release: 2%{?dist}
License: GPLv2+
Group: Applications/Editors
URL: http://openlab.ring.gr.jp/skk/main.html
Source0: http://openlab.ring.gr.jp/skk/maintrunk/ddskk-%{version}.tar.gz
Source1: ddskk-init.el
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: emacs, apel >= %{apel_minver}
%if %{with xemacs}
BuildRequires: xemacs, apel-xemacs >= %{apel_minver}
%endif
Requires: apel >= %{apel_minver}
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Obsoletes: skk, ddskk-el

%description
Daredevil SKK is a branch of SKK (Simple Kana to Kanji conversion program,
an input method of Japanese). It forked from the maintrunk, SKK version 10.56.
It consists of a simple core and many optional programs which provide extensive
features, however, our target is to more simplify core, and more expand its
optional features.

This package does not include dictionaries or a skkserver. Please install them
separately.

%if %{with xemacs}
%package xemacs
Summary: Daredevil SKK - Simple Kana to Kanji conversion program for XEmacs
Group: Applications/Editors
Requires: apel-xemacs

%description xemacs
Daredevil SKK is a branch of SKK (Simple Kana to Kanji conversion program,
an input method of Japanese). It forked from the maintrunk, SKK version 10.56.
It consists of a simple core and many optional programs which provide extensive
features, however, our target is to more simplify core, and more expand its
optional features.

This package does not include dictionaries or a skkserver. Please install them
separately.
%endif

%prep
%setup -q

# avoid buildroot in tutorial path
sed -ie "s!@TUT@!%{_datadir}/skk/SKK.tut!" skk-setup.el.in


%build
%{nil}

%install
rm -fr %buildroot
mkdir -p %buildroot%{_datadir}/emacs/site-lisp/site-start.d/
# needed for make install-info
mkdir -p %buildroot%{_datadir}/info

cat >> SKK-CFG <<EOF
(setq PREFIX "%buildroot%{_prefix}")
(setq SKK_LISPDIR "%buildroot%{_datadir}/emacs/site-lisp/ddskk")
EOF

make EMACS=emacs install

install -m 644 %SOURCE1 %buildroot%{_datadir}/emacs/site-lisp/site-start.d

rm -f %buildroot/%{_infodir}/dir

%if %{with xemacs}
make clean
make PACKAGEDIR=%buildroot%{pkgdir} install-package
%endif

# don't compress ja info pages
%define __os_install_post %{nil}


%clean
rm -fr %buildroot


%post
/sbin/install-info %{_infodir}/skk.info %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/skk.info %{_infodir}/dir || :
fi


%files
%defattr(-,root,root)
%doc ChangeLog READMEs
%{_datadir}/emacs/site-lisp/ddskk
%{_datadir}/emacs/site-lisp/site-start.d/ddskk-init.el
%{_datadir}/skk
%{_infodir}/*


%if %{with xemacs}
%files xemacs
%defattr(-,root,root,-)
%doc ChangeLog READMEs
%{pkgdir}
%endif


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Jens Petersen <petersen@redhat.com> - 13.1-1
- update to 13.1
  - bump apel_minver to 10.7
  - all 3 old patches for 12.2.0 are now upstream
  - use SKK-CFG for install prefixes
- add bcond for xemacs and disable for now since no apel 10.7 for xemacs


* Mon Jun 22 2009 Jens Petersen <petersen@redhat.com> - 12.2.0-13
- fix skk-e21 error with emacs22 (patch from Masatake Yamato, #503185)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 12.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 10 2007 Jens Petersen <petersen@redhat.com>
- specify license is GPL 2 or later

* Tue Jan  2 2007 Jens Petersen <petersen@redhat.com> - 12.2.0-11
- fix preun script for upgrades (#219398)
- fix buildroot path in tutorial path
- remove redundant tutorial manual installation

* Wed Dec 20 2006 Jens Petersen <petersen@redhat.com> - 12.2.0-10
- make install-info failsafe (Ville Skyttä, #219398)
- add post and preun requires for install-info
- drop old skk provides

* Wed Sep 27 2006 Jens Petersen <petersen@redhat.com> - 12.2.0-9
- add ddskk-string-to-char-list-201524.patch to use string-to-list instead of
  string-to-char-list for XEmacs 21.5 (Ville Skytta, #201524)

* Fri Aug  4 2006 Jens Petersen <petersen@redhat.com> - 12.2.0-8
- add ddskk-12.2.0-xemacs-21.5-fixup-autoload.patch for autoload generation
  in xemacs 21.5

* Wed Nov 16 2005 Jens Petersen <petersen@redhat.com> - 12.2.0-7
- require and buildrequire apel version 10.6

* Wed Jul 13 2005 Jens Petersen <petersen@redhat.com> - 12.2.0-6
- initial import to Fedora Extras
- bring back the xemacs subpackages

* Wed Feb 23 2005 Elliot Lee <sopwith@redhat.com> 12.2.0-5
- Remove xemacs

* Wed Oct  6 2004 Jens Petersen <petersen@redhat.com> - 12.2.0-4
- drop requirements on emacs/xemacs for -nox users
  (Lars Hupfeldt Nielsen, 134479)

* Wed Sep 22 2004 Jens Petersen <petersen@redhat.com> - 12.2.0-3
- clean up ddskk-init.el

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Nov  5 2003 Jens Petersen <petersen@redhat.com> - 12.2.0-1
- 12.2.0 release
- ddskk-11.6.0-tmp-file.patch no longer needed

* Mon Jul 28 2003 Jens Petersen <petersen@redhat.com> - 11.6.0-12
- ddskk no longer provides ddskk-el
- don't compress Japanese info files
- install/uninstall info manual in info dir file during post/preun

* Thu Jul 10 2003 Jens Petersen <petersen@redhat.com> - 11.6.0-11
- apply ddskk-11.6.0-tmp-file.patch from debian to fix temp file vulnerability
  CAN-2003-0539 (#98924)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 24 2002 Jens Petersen <petersen@redhat.com> 11.6.0-9
- place xemacs package under datadir
- setup quietly
- use buildroot macro instead of RPM_BUILD_ROOT
- include info files except info dir file
- own mule-packages and down
- update url
- encode spec file in utf-8

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Mar 11 2002 Jens Petersen <petersen@redhat.com> 21.6.0-6
- provide ddskk-el to make rpmlint happy
- don't buildrequire semi

* Mon Feb 25 2002 Jens Petersen <petersen@redhat.com> 21.6.0-5
- free ride through the build system

* Thu Jan 31 2002 Jens Petersen <petersen@redhat.com> 21.6.0-4
- install in mule-packages not site-packages
- own lisp/skk dir

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 21.6.0-3
- automated rebuild

* Tue Jan 8 2002 Jens Petersen <petersen@redhat.com> 21.6.0-2
- Updated changelog entry below for 21.6.0-1

* Tue Jan 8 2002 Jens Petersen <petersen@redhat.com> 21.6.0-1
- Update to 11.6.0 release
- Make XEmacs package
- Add filevar for iso-8859-1 coding for teg
- Don't need to mkdir site-lisp/ddskk datadir/skk, but need datadir/info

* Wed Aug 29 2001 Trond Eivind Glomsrød <teg@redhat.com> 21.3.20010617-2
- Add semi as a BuildPrereq (#45159)
- s/Copyright/License/
- Don't define a name on top and then use it in the header
 
* Mon Jun 25 2001 SATO Satoru <ssato@redhat.com> 21.3.20010617-1
- 2001.6.17
- fix the dependency (now we have the apel alone).
- ddskk-el is disused

* Wed Feb 28 2001 SATO Satoru <ssato@redhat.com>
- fix the Group

* Wed Feb 28 2001 SATO Satoru <ssato@redhat.com>
- fix the dependencies: [Build]Requires
- add ddskk-init.el

* Wed Feb 28 2001 SATO Satoru <ssato@redhat.com>
- rebuild to re-import into the tree
- new upstream snapshot

* Mon Dec 28 2000 SATO Satoru <ssato@redhat.com>
- fix SPEC

* Mon Dec 25 2000 SATO Satoru <ssato@redhat.com>
- new upstream (cvs current snapshot)

* Mon Sep 11 2000 Matt Wilson <msw@redhat.com>
- added %%defattr(-,root,root) to the el subpackage

* Tue Sep  6 2000 Satoru Sato <ssato@redhat.com>
- fix SPEC (check dependencies)

* Tue Sep  5 2000 Satoru Sato <ssato@redhat.com>
- Initial release
